#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup(){	
    // iOS default stuff
	ofRegisterTouchEvents(this);
	ofxAccelerometer.setup();
	ofxiPhoneAlerts.addListener(this);
	iPhoneSetOrientation(OFXIPHONE_ORIENTATION_LANDSCAPE_RIGHT);
	ofBackground(255,127,0);
    //
    shortSound.loadSound("sounds/27568.caf");
    longSound.loadSound("sounds/29594.caf");
    shortSound.setMultiPlay(true);
}

//--------------------------------------------------------------
void testApp::update(){
    //update the sound playing engine
    ofSoundUpdate();
}

//--------------------------------------------------------------
void testApp::draw(){
	ofSetColor(0, 0, 0);
    ofLine(ofGetWidth()/2,0,ofGetWidth()/2,ofGetHeight()-50);
    //info:
    ofDrawBitmapString("Sound 1 speed: "+ofToString(shortSound.getSpeed()), 10,20);
    ofDrawBitmapString("Sound 1 volume: "+ofToString(volume1), 10,30);
    ofDrawBitmapString("Sound 2 speed: "+ofToString(longSound.getSpeed()), 10+ofGetWidth()/2,20);
    ofDrawBitmapString("Sound 2 volume: "+ofToString(volume2), 10+ofGetWidth()/2,30);
    //credits:
    
    ofDrawBitmapString("Sounds by ERH and Suonho @ Freesound.org", 10, ofGetHeight()-30);
    ofDrawBitmapString("http://www.freesound.org/people/ERH/sounds/29594/", 10, ofGetHeight()-20);
    ofDrawBitmapString("http://www.freesound.org/people/suonho/sounds/27568/", 10, ofGetHeight()-10);
}

//--------------------------------------------------------------
void testApp::exit(){

}

//--------------------------------------------------------------
void testApp::touchDown(ofTouchEventArgs &touch){
    if(touch.x<ofGetWidth()/2){
        volume1=touch.x/(ofGetWidth()/2);
        shortSound.setVolume(volume1);
        shortSound.setSpeed(touch.y/ofGetHeight()*3);
        shortSound.play();
    }else{
        volume2=(touch.x-ofGetWidth()/2)/(ofGetWidth()/2);
        longSound.setVolume(volume2);
        longSound.setSpeed(touch.y/ofGetHeight()*3);
        longSound.play();
    }

}

//--------------------------------------------------------------
void testApp::touchMoved(ofTouchEventArgs &touch){
    if(touch.x>ofGetWidth()/2){
        volume2=(touch.x-ofGetWidth()/2)/(ofGetWidth()/2);
        longSound.setVolume(volume2);
        longSound.setSpeed(touch.y/ofGetHeight()*3);
    }
}

//--------------------------------------------------------------
void testApp::touchUp(ofTouchEventArgs &touch){

}

//--------------------------------------------------------------
void testApp::touchDoubleTap(ofTouchEventArgs &touch){

}

//--------------------------------------------------------------
void testApp::lostFocus(){

}

//--------------------------------------------------------------
void testApp::gotFocus(){

}

//--------------------------------------------------------------
void testApp::gotMemoryWarning(){

}

//--------------------------------------------------------------
void testApp::deviceOrientationChanged(int newOrientation){

}


//--------------------------------------------------------------
void testApp::touchCancelled(ofTouchEventArgs& args){

}

